6.0.0-git
2021-01-18

[#1017] Typos in test.php (versions H3)
Summary Typos in test.php (versions H3)
Queue IMP
Queue Version 4.0
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester thierry (at) horde (dot) org
Created 2004-12-24 (5869 days ago)
Due
Updated 2004-12-27 (5866 days ago)
Assigned 2004-12-26 (5867 days ago)
Resolved 2004-12-27 (5866 days ago)
Milestone
Patch No

History
2004-12-27 00:06:29 Chuck Hagenbuch Comment #6
State ⇒ Resolved
Reply to this comment
Fixed in CVS for both HEAD and FRAMEWORK_3.
2004-12-26 22:41:40 bugs (at) icht (dot) homelinux (dot) net Comment #5 Reply to this comment
this also is in the  test.php files of other horde apps
2004-12-26 22:10:02 Jan Schneider Comment #4
Assigned to Horde DevelopersHorde Developers
Reply to this comment
Do you have a patch? That would speed up closing this ticket.
2004-12-26 17:17:56 Thierry Thomas Comment #3
State ⇒ Assigned
Reply to this comment
The problem is that the test page of IMP is complaining about missing 
applications (ingo, nag and turba), although they are installed, 
because version numbers mismatch:



IMP expects version "1.0" and it finds "H3 (1.0)".



The fix is simple: just ignore H3 when trying to match version strings.



Idem for ingo's test page: it expects IMP version "4.0", but finds "H3 (4.0)".


2004-12-26 16:37:05 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
I'm confused by the text you pasted, I'm not sure what it means. What 
are the typos you're talking about? Can you provide a diff?
2004-12-24 09:41:16 Thierry Thomas Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Typos in test.php (versions H3)
Queue ⇒ IMP
Reply to this comment
From http://localhost/horde/imp/test.php:



# ingo: No (Have version: H3 (1.0); Need version: 1.0)

Ingo provides basic mail filtering capabilities to IMP.

# nag: No (Have version: H3 (2.0); Need version: 2.0)

Nag allows tasks to be directly created from e-mail data.

# turba: No (Have version: H3 (2.0); Need version: 2.0)

Turba provides addressbook/contacts capabilities to IMP.



From http://localhost/horde/ingo/test.php:



*  imp: No (Have version: H3 (4.0); Need version: 4.0)

IMP can be used to interface ingo with a mailserver.

Saved Queries